/balances/latest

Returns a paginated response of latest ERC20 token balances for a given wallet.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
"use strict";
const Shards = require("web3-shards");

const shards = Shards.API.Ethereum.V1;
shards.configure({
    apiKey: "YOUR_API_KEY", // Get your api key @ https://web3shards.io/console
    maxRequestsPerSecond:5, // client-side limiter to prevent accidental burning
    logger: 1               // 0=none,1=errors,2=verbose
});

const getLatestBalancesOnWallet = async function() {
    const wallet = "0xe4248daab3f9e14584cfa9688c69443d2953aea5";
    const type = "erc20";
    const page = 1;
    const resp = await shards.balances.getLatestBalancesOnWallet(wallet, type, page);
    console.log(resp)
}

getLatestBalancesOnWallet();
Query Params
string
enum
Defaults to eth

The target chain.

Allowed:
int32
Defaults to 1

The page from which to begin querying data from. Max page size is 100.

string
Defaults to 0xe4248daab3f9e14584cfa9688c69443d2953aea5

The wallet address

string
enum
Defaults to erc20

The type of asset

Allowed:
Headers
string
Defaults to db2f88b1-21cd-440b-9e8c-486a8688e34e
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain